﻿package 
{
	public class DeadState implements State
	{
		private var enemy:Enemy;
		
		private var framesInState:int;
		
		public function DeadState(e:Enemy):void
		{
			enemy = e;
		}
		
		public function enter():void
		{
			if (enemy is Human)
			{
				if (enemy is Woman)
				{
					var bloodyWoman:WomanSplatter = new WomanSplatter();
					
					bloodyWoman.setPos(enemy.getPos());
					Game.mainStage.addChildAt(bloodyWoman, GameConstants.LAYER);
					ItemManager.getInstance().addItem(bloodyWoman);
				}
				else if (enemy is FatMan)
				{
					var bloodyFatty:FatManSplatter = new FatManSplatter();
					
					bloodyFatty.setPos(enemy.getPos());
					Game.mainStage.addChildAt(bloodyFatty, GameConstants.LAYER);
					ItemManager.getInstance().addItem(bloodyFatty);
				}
				else //enemy is man
				{
					var bloodyMan:ManSplatter = new ManSplatter();
					
					bloodyMan.setPos(enemy.getPos());
					Game.mainStage.addChildAt(bloodyMan, GameConstants.LAYER);
					ItemManager.getInstance().addItem(bloodyMan);
				}
			}
			
			Game.incrementScore();
			
			enemy.markForRemoval();
		}
		
		public function update():void
		{
		}
		
		public function exit():void
		{
			
		}
	}
}