﻿package 
{
	public class PauseState implements State
	{
		private var enemy:Enemy;
		
		private var framesInState:int;
		
		public function PauseState(e:Enemy):void
		{
			enemy = e;
		}
		
		public function enter():void
		{
			framesInState = 0;
		}
		
		public function update():void
		{
			framesInState++;
			
			if (framesInState >= GameConstants.HUMAN_PAUSE_FRAMES)
			{
				if (enemy.getPos().y < GameConstants.SIDEWALK_TOP)
				{
					enemy.returnToSidewalk();
				}
				else
				{
					enemy.walk();
				}
			}
		}
		
		public function exit():void
		{
			
		}
	}
}