﻿package 
{
	public class ReturnState implements State
	{
		private var enemy:Enemy;
		
		private var startTheta:Number;
		
		private var error:int;
		
		public function ReturnState(e:Enemy):void
		{
			enemy = e;
			
			//SoundManager.getInstance().playSound(SoundMappings.HUMAN_RETURN);
		}
		
		public function enter():void
		{
			error = (int)(Math.random() * (GameConstants.SIDEWALK_RANGE - enemy.getRadius()));
			
			startTheta = enemy.getTheta();
			
			enemy.setTheta(90);
		}
		
		public function update():void
		{
			if (enemy is Human)
			{
				enemy.setPos(Enemy.getValidPos(Vector2.add(enemy.getPos(), new Vector2(0, GameConstants.ENEMY_SPRINTING_SPEED))));
				
				if (enemy.getPos().y >= GameConstants.SIDEWALK_TOP + enemy.getRadius() + error)
				{
					enemy.walk();
				}
			}
		}
		
		public function exit():void
		{
			enemy.setTheta(startTheta);
		}
	}
}