﻿package 
{
	public class StateMachine
	{
		private var currentState:State;
		
		public function StateMachine()
		{
			currentState = null;
		}
		
		public function update():void
		{
			if (currentState)
			{
				currentState.update();
			}
		}
		
		public function changeState(s:State):void
		{
			if (currentState)
			{
				currentState.exit();
			}
			
			currentState = s;
			currentState.enter();
		}
		
		public function getCurrentState():State
		{
			return currentState;
		}
	}
}