﻿package 
{
	public class WalkState implements State
	{
		private var enemy:Enemy;
		
		public function WalkState(e:Enemy)
		{
			enemy = e;
		}
		
		public function enter():void
		{
			
		}
		
		public function update():void
		{
			enemy.setPos(Vector2.add(enemy.getPos(), enemy.velocity));
		}
		
		public function exit():void
		{
			if (enemy is Human)
			{
				enemy.velocity = Vector2.multiply(GameConstants.ENEMY_WALKING_SPEED, enemy.velocity.getUnitVector());
			}
			else if (enemy is Human)
			{
				enemy.velocity = Vector2.multiply(GameConstants.NORMAL_CAR_SPEED, enemy.velocity.getUnitVector());
			}
		}
	}
}