﻿package 
{
	public class WomanDeadState extends DeadState
	{
		private var enemy:Enemy;
		
		private var framesInState:int;
		
		public function WomanDeadState(e:Enemy):void
		{
			enemy = e;
			
			super(e);
		}
		
		public override function enter():void
		{
			var bloodyWoman:WomanSplatter = new WomanSplatter();
			
			bloodyWoman.setPos(enemy.getPos());
			Game.mainStage.addChildAt(bloodyWoman, GameConstants.LAYER);
			ItemManager.getInstance().addItem(bloodyWoman);
			
			Game.incrementScore();
			
			enemy.markForRemoval();
			
			SoundManager.getInstance().playSound(SoundMappings.HUMAN_DEATH);
			SoundManager.getInstance().playSound(SoundMappings.APPLAUSE);
		}
		
		public override function update():void
		{
			
		}
		
		public override function exit():void
		{
			
		}
	}
}