﻿package 
{
	public class WomanSplatter extends Item
	{
		private var lingerFrames:int;
		
		public function WomanSplatter()
		{
			super("WomanSplatter.swf");
			
			lingerFrames = 2 * GameConstants.FPS;
			
			this.setTheta(Math.random() * 360);
			
			// The splash will not move
			velocity = Vector2.Zero;
			
			// Set the lifespan of the splatter
			lifespan = GameConstants.HUMAN_SPLATTER_LIFESPAN;
		}
		
		public override function update():void
		{
			if (lingerFrames > 0)
			{
				lingerFrames--;
			}
			else
			{
				// Decrease the lifespan
				lifespan--;
				
				this.alpha -= 0.01;
			}
		}
	}	
}