﻿package 
{
	public class BeigeCarDodgeState extends DodgeState
	{
		private var enemy:Enemy;
		
		private var accel:Number;
		
		private var framesInState:int;
		
		public function BeigeCarDodgeState(e:Enemy):void
		{
			enemy = e;
			
			super(e);
		}
		
		public override function enter() :void
		{
			framesInState = 0;
			
			if (enemy.getTheta() == 0)
			{
				accel = -GameConstants.BEIGE_CAR_REVERSE_ACCEL;
			}
			else if (enemy.getTheta() == 180)
			{
				accel = GameConstants.BEIGE_CAR_REVERSE_ACCEL;
			}
			
			SoundManager.getInstance().playSound(SoundMappings.BEIGE_CAR_DODGE);
		}
		
		public override function update():void
		{
			framesInState++;
			
			enemy.velocity.add(new Vector2(accel, 0));
			
			enemy.setPos(Enemy.getValidPos(Vector2.add(enemy.getPos(), enemy.velocity)));
		}
		
		public override function exit():void
		{
			
		}
	}
}