﻿package 
{
	public class ManDeadState extends DeadState
	{
		private var enemy:Enemy;
		
		private var framesInState:int;
		
		public function ManDeadState(e:Enemy):void
		{
			enemy = e;
			
			super(e);
		}
		
		public override function enter():void
		{
			var bloodyMan:ManSplatter = new ManSplatter();
			
			bloodyMan.setPos(enemy.getPos());
			Game.mainStage.addChildAt(bloodyMan, GameConstants.LAYER);
			ItemManager.getInstance().addItem(bloodyMan);
			
			Game.incrementScore();
			
			enemy.markForRemoval();
			
			SoundManager.getInstance().playSound(SoundMappings.HUMAN_DEATH);
			SoundManager.getInstance().playSound(SoundMappings.APPLAUSE);
		}
		
		public override function update():void
		{
		}
		
		public override function exit():void
		{
			
		}
	}
}