﻿package 
{
	public class SportsCarDodgeState extends DodgeState
	{
		private var enemy:Enemy;
		
		private var framesInState:int;
		
		public function SportsCarDodgeState(e:Enemy):void
		{
			enemy = e;
			
			super(e);
		}
		
		public override function enter() :void
		{
			framesInState = 0;
		}
		
		public override function update():void
		{
			framesInState++;
			
			enemy.velocity.setLength(GameConstants.SPORTS_CAR_DODGE_SPEED);
			
			enemy.setPos(Enemy.getValidPos(Vector2.add(enemy.getPos(), enemy.velocity)));
		}
		
		public override function exit():void
		{
			
		}
	}
}