﻿package 
{
	public class YellowCarDeadState extends DeadState
	{
		private var enemy:Enemy;
		
		private var framesInState:int;
		
		public function YellowCarDeadState(e:Enemy):void
		{
			enemy = e;
			
			super(e);
		}
		
		public override function enter():void
		{
			Game.killCount++;
		}
		
		public override function update():void
		{
			enemy.alpha -= 0.1;
			
			if (enemy.alpha <= 0)
			{
				enemy.markForRemoval();
			}
		}
		
		public override function exit():void
		{
			
		}
	}
}