﻿package 
{
	import flash.display.MovieClip;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;

	public class GameOver extends GameObject
	{
		private var killCountText:TextField;
		public var frame;
		
		public function GameOver()
		{
			load(GameConstants.CUTSCENE_DIR + "GameOver.swf");
			frame = 0;
		}
		
		public function showScore(score:int)
		{
			//create shadow
			var shadow:TextField = new TextField();
			shadow.x = 325;
			shadow.y = 214;
			shadow.scaleX = shadow.scaleY = 3;
			shadow.textColor = 0x000000;
			shadow.text = score.toString();
			shadow.width = 100;
			shadow.height = 50;
			this.addChild(shadow);
			
			//create killCountText
			killCountText = new TextField();
			killCountText.x = 323;
			killCountText.y = 212;
			killCountText.scaleX = killCountText.scaleY = 3;
			killCountText.textColor = 0xFFFFFF;
			killCountText.text = score.toString();
			killCountText.width = 50;
			killCountText.height = 25;
			this.addChild(killCountText);
			
			var rank:Rank;
			
			if (score < 25)
			{
				rank = new Rank(GameConstants.RANK6);
			}
			else if (score < 80)
			{
				rank = new Rank(GameConstants.RANK5);
			}
			else if (score < 150)
			{
				rank = new Rank(GameConstants.RANK4);
			}
			else if (score < 210)
			{
				rank = new Rank(GameConstants.RANK3);
			}
			else if (score < 250)
			{
				rank = new Rank(GameConstants.RANK2);
			}
			else if (score >= 250)
			{
				rank = new Rank(GameConstants.RANK1);
			}
			
			this.addChild(rank);
		}
		
		public function hideScore()
		{
			this.removeChild(killCountText);
		}
		
		public override function update():void
		{
			frame++;
		}
	}
}