﻿package 
{
	public class BalloonSplatter extends Item
	{
		public function BalloonSplatter()
		{
			super("BalloonSplatter.swf");
			
			this.scaleX = 0.5;
			this.scaleY = 0.5;
			
			this.setTheta(Math.random() * 360);
			
			// The splash will not move
			velocity = Vector2.Zero;
			
			// Set the lifespan of the splatter
			lifespan = GameConstants.GROUNDED_ITEM_LIFESPAN;
		}
		
		public override function update():void
		{
			// Decrease the lifespan
			lifespan--;
			
			this.alpha -= 0.01;
		}
	}	
}