﻿package 
{
	public class ItemFactory
	{
		private static var instance:ItemFactory;
		
		public function ItemFactory()
		{
		}
		
		public static function getInstance():ItemFactory
		{
			if (instance == null)
			{
				instance = new ItemFactory();
			}
			
			return instance;
		}
		
		public function createItem(type:int):Item
		{
			var item:Item;
			
			// Create a new item depending on type and add it to the main stage
			if (type == ItemType.DEFAULT)
			{
				item = new Item("Balloon.swf");
			}
			if (type == ItemType.BALLOON)
			{
				item = new Balloon();
			}
				
			return item;
		}
	}
}