﻿package 
{
	import flash.display.MovieClip;
	import flash.events.Event;

	import flash.media.Sound;
	import flash.media.SoundChannel;
	
	import flash.net.URLRequest;
	
	public class SoundManager extends MovieClip
	{
		private static var instance:SoundManager;
		
		private var bgSoundName:String;
		
		public function SoundManager() 
		{
			
		}
		
		public static function getInstance()
		{
			if (instance == null)
			{
				instance = new SoundManager();
			}
			
			return instance;
		}
		
		public function playSound(name:String)
		{
			var sound:Sound = new Sound(new URLRequest(GameConstants.SOUND_DIR + name));
			
			sound.play();
		}
		
		public function playBackgroundSound(name:String)
		{
			bgSoundName = name;
			
			var bgSound:Sound = new Sound(new URLRequest(GameConstants.SOUND_DIR + name));
			
			var bgChannel:SoundChannel = bgSound.play();
			
			bgChannel.addEventListener(Event.SOUND_COMPLETE, onSoundComplete);
		}
		
		public function onSoundComplete(event:Event):void
		{
			playBackgroundSound(bgSoundName);
		}
	}		
}
